<%--
    ====================================
    Version: 4.30.8.0. Modified: 20221222
    ====================================
--%>

<%@ Import Namespace="System.Web.Mvc" %>
<%@ Import Namespace="EPiServer.Forms.Helpers.Internal" %>
<%@ Import Namespace="EPiServer.Forms.Implementation.Elements" %>
<%@ Import Namespace="EPiServer.Forms.Core.Internal" %>

<%@ Control Language="C#" Inherits="ViewUserControl<ParagraphTextElementBlock>" %>

<%
    var formBusinessService = EPiServer.ServiceLocation.ServiceLocator.Current.GetInstance<FormBusinessService>();
    var formElement = Model.FormElement;
    var paragraphText = Model.ParagraphText;
    var originalParagraphText = Model.OriginalParagraphText;
    var cssClasses = Model.GetValidationCssClasses();

    var ParagraphTextElementBlock_js = ModuleHelper.GetWebResourceContent(typeof(EPiServer.Forms.Implementation.Elements.ParagraphTextElementBlock), "EPiServer.Forms.ClientResources.ViewMode.ParagraphTextElementBlock.js");
    ParagraphTextElementBlock_js = ParagraphTextElementBlock_js
        .Replace("___OriginalParagraphText___", originalParagraphText)
        .Replace("___FormElementGuid___", formElement.Guid.ToString())
        .Replace("___DoPlaceholder___", ((!Model.DisablePlaceholdersReplacement && Model.HasPlaceHolder()) || Model.FindOwnerForm() == null).ToString().ToLower());

    EPiServer.Framework.Web.Resources.ClientResources.RequireScriptInline(ParagraphTextElementBlock_js).AtFooter();
%>

<% using(Html.BeginElement(Model, new { @class="FormParagraphText Form__Element--NonData" + cssClasses, @data_f_element_nondata="" })) { %>
    <% if (EPiServer.Editor.PageEditing.PageIsInEditMode)
    { %>
        <div id="<%: formElement.Guid %>" <%= Model.AttributesString %>><%= Model.EditViewFriendlyTitle %></div>
    <% }
    else
    {  %>

        <div id="<%: formElement.Guid %>" <%= Model.AttributesString %>><%= formBusinessService.ToHtmlStringWithFriendlyUrls(paragraphText) %></div>
        
    <% } %>
<% } %>
