<%--
    =====================================
    Version: 4.30.8.0. Modified: 20221222
    =====================================
--%>

<%@ Import Namespace="System.Web.Mvc" %>
<%@ Import Namespace="EPiServer.Forms.Helpers.Internal" %>
<%@ Import Namespace="EPiServer.Forms.Implementation.Elements" %>
<%@ import namespace="EPiServer.Forms.EditView.SelectionFactory" %>
<%@ Control Language="C#" Inherits="ViewUserControl<TextareaElementBlock>" %>

<%  var formElement = Model.FormElement; 
    var labelText = Model.Label;
    var cssClasses = Model.GetValidationCssClasses();
    var autoComplete = AutoCompleteSelectionFactory.GetStringValue(Model.AutoComplete);
%>

<% using(Html.BeginElement(Model, new { @class="FormTextbox FormTextbox--Textarea" + cssClasses, data_f_type="textbox", data_f_modifier="textarea" })) { %>
    <label for="<%: formElement.Guid %>" class="Form__Element__Caption"><%: labelText %></label>
    <textarea name="<%: formElement.ElementName %>" id="<%: formElement.Guid %>" class="FormTextbox__Input"
        <% if (!string.IsNullOrWhiteSpace(Model.PlaceHolder)) { %>
            placeholder="<%: Model.PlaceHolder %>"
        <% } %>
        data-f-label="<%: labelText %>" data-f-datainput
        <%= Model.AttributesString %> aria-describedby="<%: Util.GetAriaDescribedByElementName(formElement.ElementName) %>"
        aria-invalid="<%: Util.GetAriaInvalidByValidationCssClasses(cssClasses) %>"
        autocomplete="<%: autoComplete %>"><%: Model.GetDefaultValue() %></textarea>
    <%= Html.ValidationMessageFor(Model) %>
<% } %>
